import { useState } from 'react'
import { Swiper, SwiperItem, Image } from '@tarojs/components'
import { getImgURL } from '@/utils/image'
import './index.scss'

export default function BuildingDetailBanner (props) {
  const { PictureList = [{}, {}, {}] } = props
  const [NavList] = useState([
    { name: 'VR', id: 1 },
    { name: '视频', id: 2 },
    { name: '图片', id: 3 }
  ])
  const [CurrentNavId, setCurrentNavId] = useState(3)

  const CutNavId = (id) => {
    return () => {
      setCurrentNavId(id)
    }
  }

  return (
    <view className='components buildingDetailBanner'>

      {/* 切换 */}
      <view className='CutPoint'>
        <view>
          {
            NavList.map((item, index) => (
              <text key={`NavItem-${index}`} className={CurrentNavId === item.id ? 'active' : ''} onClick={CutNavId(item.id)}>{item.name}</text>
            ))
          }
        </view>
      </view>

      {/* VR */}
      {
        CurrentNavId === 1 &&
        <view className='Vr'>

        </view>
      }

      {/* 视频 */}
      {
        CurrentNavId === 2 &&
        <view className='Video'>

        </view>
      }

      {/* 图片 */}
      {
        CurrentNavId === 3 &&
        <view className='Picture'>
          <Swiper autoplay interval={2000} indicator-dots>
            {
              PictureList.map((item, index) => (
                <SwiperItem key={`Banner-${index}`}>
                  <view className='swiper-item'>
                    <Image mode='aspectFill' className='centerLabel' src={getImgURL(item.image || item.coverImg || item.url || item.img) || null} />
                  </view>
                </SwiperItem>
              ))
            }
          </Swiper>
        </view>
      }

    </view>
  )
}
